<?php

namespace App\Modules\GroupProviderReview\Domain;

use App\Modules\Admin\Domain\IdAdmin;

class UpdateGroupProviderReview
{

    public function __construct(
        private IdGroupProviderReview $id,
        private GroupProviderReviewAdminComment $adminComment,
        private IdAdmin $adminCommentIdAdmin
    ) {
    }

    public function id(): IdGroupProviderReview
    {
        return $this->id;
    }

    public function adminComment(): GroupProviderReviewAdminComment
    {
        return $this->adminComment;
    }

    public function adminCommentIdAdmin(): IdAdmin
    {
        return $this->adminCommentIdAdmin;
    }

}
